StardDevelopersداشبورد

یک خدمت

GET/api/v1/services/{service}
scope: prices:readاحراز هویت: Bearerlive و test

جزئیات یک خدمت با همان قالب فهرست.

درخواست

ناممحلنوعتوضیح
AuthorizationheaderstringالزامیBearer sk_live_… یا Bearer sk_test_…
servicepathstringالزامیشناسه‌ی خدمت از GET /services (مثل reactions، members، views)

نمونه

curl "https://stard-market.ir/api/v1/services/members" \
  -H "Authorization: Bearer $STARD_API_KEY"
پاسخ — 200
{
  "object": "service",
  "id": "members",
  "name": "ممبر کانال و گروه",
  "emoji": "👥",
  "input": "channel",
  "input_example": "@channel",
  "unit": "ممبر",
  "min_quantity": 1,
  "max_quantity": 1000000,
  "from_price": 15000,
  "currency": "IRT",
  "price_samples": [
    {
      "quantity": 100,
      "amount": 15000,
      "unit_price": 150
    },
    {
      "quantity": 500,
      "amount": 35000,
      "unit_price": 70
    },
    {
      "quantity": 1000,
      "amount": 69000,
      "unit_price": 69
    },
    {
      "quantity": 5000,
      "amount": 341000,
      "unit_price": 68
    }
  ],
  "guarantee_days": 30,
  "features": {
    "reaction_picker": false,
    "custom_comments": false,
    "guarantee_options": true,
    "post_count_options": false,
    "drip_feed": true,
    "auto_refund_undelivered": true
  }
}
هدرهای پاسخ
content-type: application/json
x-request-id: req_vtHbIS2rHn4EWW5h0DlZ
x-ratelimit-limit: 1000
x-ratelimit-remaining: 998

خطاها

HTTPcodeکی
404service_not_foundاین خدمت وجود ندارد یا غیرفعال است
403insufficient_scopeکلید scope prices:read را ندارد
401invalid_api_key / missing_api_key / api_key_revoked / api_key_expiredکلید نیامده، نامعتبر، باطل یا منقضی است
429rate_limit_exceededسقف درخواست در دقیقه پر شده؛ بعد از Retry-After ثانیه دوباره بفرست

محدودیت نرخ

پیش‌فرض ۶۰ درخواست در دقیقه برای هر کلید (قابل تنظیم در داشبورد). وضعیت در هدرهای X-RateLimit-* برمی‌گردد — جزئیات.